Package org.jfree.layouting.renderer.model.table.cells

## Class TableCell

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.cells.TableCell

- Direct Known Subclasses:
    `DataCell`, `PlaceHolderCell`, `RemovedCell`

      public abstract class TableCell
      extends java.lang.Object

  Creation-Date: 10.09.2006, 17:28:05
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableCell​(int rowSpan, int colSpan)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColSpan​()` |
    `int` | `getRowSpan​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TableCell

          public TableCell​(int rowSpan,
                           int colSpan)

  - ### Method Detail

    - #### getRowSpan

          public int getRowSpan​()

    - #### getColSpan

          public int getColSpan​()

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`